<?php 
function restfunc($dafnam, $wordcount, $wordcountall) {
  $wd = $wordcountall - $wordcount;
  $gs = '';
  if($wd != 0) $gs = ' (-'.strval($wd).')';
  return $dafnam.': '.strval($wordcount).$gs.'<br>';
}

function ucmp($a, $b) {
  $c = mb_strtolower($a);
  $d = mb_strtolower($b);
  if($c == $d) {
    if($a == $b) return 0;
    return ($a < $b) ? -1 : 1;
  }
  return ($c < $d) ? -1 : 1;
}

function rrmdir($src) {
  $dir = opendir($src);
  if($dir === false) return false;
  while(false !== ( $file = readdir($dir)) ) {
    if(( $file != '.' ) && ( $file != '..' )) {
      $full = $src . '/' . $file;
      if( is_dir($full) ) {
        rrmdir($full);
      } else {
        @unlink($full);
      }
    }
  }
  closedir($dir);
  @rmdir($src);
}

function zipc($zipdn) {
  @unlink($zipdn.'.zip');
  if(!$GLOBALS['option_zip']) return false;

  $farr = scandir($zipdn);
  if($farr === false) return false;
  foreach ($farr as $key => $val) if(!is_file($zipdn.'/'.$val)) unset($farr[$key]);

  $zip = new ZipArchive();
  if($zip->open($zipdn.'.zip', ZipArchive::CREATE | ZipArchive::OVERWRITE) === true) {
    foreach ($farr as $key => $val) {
      if($zip->addFile($zipdn.'/'.$val, $val) === false) {$zip->close(); return false;}
    }
    if($GLOBALS['zip_password'] != '') {
      $zip->setPassword($GLOBALS['zip_password']);
      foreach ($farr as $key => $val) {
        if($zip->setEncryptionName($val, ZipArchive::EM_AES_128) === false) {$zip->close(); return false;}
      }
    }
    $zip->close();
    if($GLOBALS['zip_srccatdel']) rrmdir($zipdn);
    return true;
  } else return false;
}

function fgsit($fp, $dafnam) {
  if($dafnam == 'dabkrs' || $dafnam == 'dabkrss' || $dafnam == 'dabruks') $b = fread($fp, 3);
  while(true) {
    if(mb_substr(trim(fgets($fp)),0,1) != '#') break;
  }
}


?>