'use strict';
let cmd = {
 init:function() {},
 show:function() {},

 cm:'',
 cmar:[],
 run:function() {
   cmd.cm = cmd_id.value;
   cmd.cmar = [];
   if(cmd.cm.search(/(?<=[^\\]):/u) != -1) {
     cmd.cmar = cmd.cm.split(/(?<=[^\\]):/u);
     cmd.cm = cmd.cmar[0];
     cmd.cmar = cmd.cmar[1].split(/(?<=[^\\]),/u).map(function(item) {
       try {
         return eval(`'${item}'`);
       } catch(er) {
         ok.ok(er);
         return item.replace(/\\n/gu, '\n').replace(/\\(?=[^\\])/gu, '').replace(/\\\\/gu, '\\');
       }
     });
   }
   cmd.cm = cmd.cm.toLowerCase();
   
   dsx.jsync([() => {
     displaybox_cmd_id.innerHTML = 'Выполняется. Ожидайте результата.';

   }, () => {
     let result = '';

     if(cmd.cm == '#cmd') {
       result = `<textarea cols="30" rows="14" ondblclick="try{cmd_cmd_res_id.innerHTML=eval('('+this.value+')();');}catch(er){ok.ok(er);}">function() {\n  \n  \n  return ;\n}</textarea><hr><div class="setting setviewsymb" id="cmd_cmd_res_id"></div>`;

     } else if(cmd.cm == '#dbdel') {
       try {
         for(let key in db_list) if(db_list[key].use) eval(`${key}.length=0;`);
         dsx.restart = true;
       } catch(er) {}

     } else {
       result = 'Отсутствует';
       function ty(f) {try{if(f in cmd){return true;}else{return false;}}catch(er){ok.ok(er);}}
       if(!'init,show,run,cm,cmar,eag'.includes(cmd.cm)) if(ty(cmd.cm)) {
         try {
           result = cmd[cmd.cm](...cmd.cmar);
         } catch(er) {
           ok.ok(er);
         }
       }
     }

     if(result != '') displaybox_cmd_id.innerHTML = result;
     else displaybox_cmd_id.innerHTML = `Выполнено: ${cmd.cm}`;
   }]);
 },

 help:function(...xt) {
   if(xt.length != 0) return `<pre> ${xt.join('\n ')}</pre>`;
   else return `<pre>
 eaginit   :();
 eagout    :(p1=0, p2='');
 eagsearch :(p1='', p2='');
 eagdel    :(p1='', p2=p1);
 eagclear  :();
</pre>`;
 },

 ccview:function(st = '', sn = 16, bef = 'u{', aft = '}\n') {
   if(String(+sn) == 'NaN') return 'Not argument (radix 2 - 36)';
   if(+sn < 2 || +sn > 36) return 'Radix 2 - 36';
   let stri = '';
   for(let ch of st) stri += `${bef}${ch.codePointAt(0).toString(+sn).toLowerCase()}${aft}`;
   return '<textarea cols="30" rows="14" ondblclick="cmd_cmd_res_id.innerHTML=this.value">' + stri + '</textarea><hr><div class="setting setviewsymb" id="cmd_cmd_res_id"></div>';
 },

 eag:[],
 eaginit:function() {
   if(cmd.eag.length > 0) return `<b>&nbsp;Length: ${cmd.eag.length}</b>`;
   let srr = '_:';
   for(let key in eog) cmd.eag.push(String(key) + srr + String(eog[key]));
   eog = {};
   cmd.eag.sort(function(a, b) {
     let aa = a.split(srr)[1], bb = b.split(srr)[1];
     if(+aa < +bb) return 1;
     if(+aa == +bb) return 0;
     if(+aa > +bb) return -1;
   });
   return `<b>&nbsp;Initialized. Length: ${cmd.eag.length}</b>`;
 },

 eagout:function(p1 = 0, p2 = '') {
   if(p2 == '') p2 = cmd.eag.length;
   else if(String(+p2) == 'NaN') return 'Not argument (number)';
   else if(+p2 > cmd.eag.length) p2 = cmd.eag.length;
   if(String(+p1) == 'NaN') return 'Not argument (number)';
   if(!confirm('Подтвердите')) return 'eagout: отменено';
   return '<textarea cols="30" rows="14">' + cmd.eag.slice(+p1, +p2).join('\n') + '</textarea>';
 },

 eagsearch:function(p1 = '', p2 = '') {
   if(p1 == '') return 'Not argument (RegExp or number)';
   let stri = [];
   if(String(+p1) == 'NaN') {
     for(let i = 0; i < cmd.eag.length; i++) if(cmd.eag[i].search(eval(`/${p1}/ui`)) != -1) stri.push(cmd.eag[i]);
   } else {
     for(let i = 0; i < cmd.eag.length; i++) if(+cmd.eag[i].split('_:')[1] == +p1) stri.push(cmd.eag[i]);
   }
   if(String(+p1) == 'NaN') {
     if(p2 == '') return `<b>&nbsp;RegExp "${p1}" : ${stri.length}</b>`;
   } else {
     if(p2 == '') return `<b>&nbsp;Number ${p1} : ${stri.length}</b>`;
   }
   if(!confirm('Подтвердите')) return 'eagsearch: отменено';
   return '<textarea cols="30" rows="14">' + stri.join('\n') + '</textarea>';
 },

 eagdel:function(p1 = '', p2 = p1) {
   if(p1 == '') return 'Not argument (number)';
   if(String(+p1) == 'NaN' || String(+p2) == 'NaN') return 'Not argument (number)';
   let cnt = 0;
   let tear = [];
   for(let i = 0; i < cmd.eag.length; i++) {
     let xi = +cmd.eag[i].split('_:')[1];
     if(xi >= +p1 && xi <= +p2) ++cnt;
     else tear.push(cmd.eag[i]);
   }
   cmd.eag = tear.slice();
   return `<b>&nbsp;Deleted: ${cnt}; Length: ${cmd.eag.length}</b>`;
 },

 eagclear:function() {
   cmd.eag.length = 0;
   return `<b>&nbsp;Length: ${cmd.eag.length}</b>`;
 },

};
